/**
 * XActMoodDefEvnRqoPrmsPrp.java
 *
 * File generated from the medication::XActMoodDefEvnRqoPrmsPrp uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration XActMoodDefEvnRqoPrmsPrp.
 *
 * 
 */

@XmlType(name = "XActMoodDefEvnRqoPrmsPrp")
@XmlEnum
@XmlRootElement(name = "XActMoodDefEvnRqoPrmsPrp")
public enum XActMoodDefEvnRqoPrmsPrp {
	@XmlEnumValue("DEF")
	DEF("DEF"),
	@XmlEnumValue("EVN")
	EVN("EVN"),
	@XmlEnumValue("PRMS")
	PRMS("PRMS"),
	@XmlEnumValue("PRP")
	PRP("PRP"),
	@XmlEnumValue("RQO")
	RQO("RQO");
	
	private final String value;

    XActMoodDefEvnRqoPrmsPrp(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static XActMoodDefEvnRqoPrmsPrp fromValue(String v) {
        for (XActMoodDefEvnRqoPrmsPrp c: XActMoodDefEvnRqoPrmsPrp.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}